小左闲谈

Composer报错Composer\Downloader\TransportException

当前位置:首页 » 笔记 » 本页
In 笔记  @2017-04-18

在使用Windows下使用Composer安装Yii的时候提示错误:

[Composer\Downloader\TransportException]
Your configuration does not allow connections to http://packagist.org/packages.json. See https://getcomposer.org/doc/06-config.md#secure-http for details.

解决办法:
1.首先设置Composer的Packagist镜像为中国镜像,全局设置,运行代码;

composer config -g repo.packagist composer https://packagist.phpcomposer.com

2.然后把默认的 secure-http 改成false;运行代码;

composer config -g secure-http false

这样就可以在墙内使用Composer快速的使用国内镜像安装你需要的项目了以及intall需要的依赖包。

若无特殊声明,表示本文由:小左闲谈.原创
链接地址: http://blog.m1910.com/archives/1620.html
版权所有 © 转载时请以链接形式注明作者和原始出处!
标签: , ,   评论: 抢沙发  被围观 609 次

发表一下你的看法

您将是第一位评论人!

avatar
wpDiscuz